SUSE SLES12 Security Update : libvirt (SUSE-SU-2019:0553-1)

medium Nessus プラグイン ID 123780
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このlibvirt用の更新プログラムでは、次の問題が修正されています:

修正されたセキュリティ問題:

CVE-2019-3840:ゲストエージェントを介してリモートサービス拒否を引き起こす可能性のある、virJSONValueObjectHasKey関数におけるNULLポインターデリファレンスの脆弱性を修正しました。(bsc#1127458)

修正されたその他の問題:libxl:バルーニングが成功した後の最新のメモリ値を保存します(bsc#1120813)。

spec:libvirt-clientをアップデートするときにはlibvirt-guestsを再起動しないでください。(bsc#1104662)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE OpenStack Cloud 7:zypper in -t patch SUSE-OpenStack-Cloud-7-2019-553=1

SUSE Linux Enterprise Server for SAP 12-SP2:zypper in -t patch SUSE-SLE-SAP-12-SP2-2019-553=1

SUSE Linux Enterprise Server 12-SP2-LTSS:zypper in -t patch SUSE-SLE-SERVER-12-SP2-2019-553=1

SUSE Linux Enterprise Server 12-SP2-BCL:zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2019-553=1

SUSE Enterprise Storage 4:zypper in -t patch SUSE-Storage-4-2019-553=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1104662

https://bugzilla.suse.com/show_bug.cgi?id=1120813

https://bugzilla.suse.com/show_bug.cgi?id=1127458

https://www.suse.com/security/cve/CVE-2019-3840/

http://www.nessus.org/u?0cb812b7

プラグインの詳細

深刻度: Medium

ID: 123780

ファイル名: suse_SU-2019-0553-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/4/5

更新日: 2021/1/13

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Low

Base Score: 3.5

Temporal Score: 2.6

ベクトル: CVSS2#AV:N/AC:M/Au:S/C:N/I:N/A:P

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 6.3

Temporal Score: 5.5

ベクトル: CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:C/C:N/I:N/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:o:novell:suse_linux:12:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-client:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-doc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-lock-sanlock:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-client-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-config-network:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-config-nwfilter:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-interface:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-interface-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-libxl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-libxl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-lxc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-lxc-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-network:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-network-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-nodedev:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-nodedev-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-nwfilter:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-nwfilter-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-qemu:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-qemu-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-secret:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-secret-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-storage:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-driver-storage-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-lxc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-qemu:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-xen:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-lock-sanlock-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-nss:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-nss-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libvirt-daemon-hooks:*:*:*:*:*:*:*

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/4/4

脆弱性公開日: 2019/3/27

参照情報

CVE: CVE-2019-3840